(use charplot)

;(set! charplot:dimensions '(20 55))

(unless (terminal-port? (current-output-port))
  (print "The current output port is not connected to a terminal.  Not running tests.")
  (exit 0))

(define (make-points n)
  (if (zero? n)
      '()
      (cons (list (/ n 6) (sin (/ n 6))) (make-points (sub1 n)))))

(plot (make-points 40) "x" "Sin(x)")

(histograph (do ((idx 99 (+ -1 idx))
                 (lst '() (cons (* .02 (/ (random 10000) 10000)) lst)))
                ((negative? idx) lst))
            "normal")
